WebLogicJMSServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJMSServer

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface WebLogicJMSServer

extends J2EEResource

Represents a WebLogic JMS Server.

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getBytesMaximum()`
`boolean` | `getBytesPagingEnabled()`
`long` | `getBytesThresholdHigh()`
`long` | `getBytesThresholdLow()`
`WebLogicJMSConnectionFactory[]` | `getConnectionFactories()`
`WebLogicJMSDestination[]` | `getDestinations()`
`long` | `getMessagesMaximum()`
`boolean` | `getMessagesPagingEnabled()`
`long` | `getMessagesThresholdHigh()`
`long` | `getMessagesThresholdLow()`
`WebLogicJMSStore` | `getPagingStore()`
`WebLogicJMSSessionPool[]` | `getSessionPools()`
`WebLogicJMSStore` | `getStore()`
`WebLogicJMSStore[]` | `getStores()`
`boolean` | `hasBytesMaximum()`
`boolean` | `hasBytesPagingEnabled()`
`boolean` | `hasBytesThresholdHigh()`
`boolean` | `hasBytesThresholdLow()`
`boolean` | `hasConnectionFactories()`
`boolean` | `hasDestinations()`
`boolean` | `hasMessagesMaximum()`
`boolean` | `hasMessagesPagingEnabled()`
`boolean` | `hasMessagesThresholdHigh()`
`boolean` | `hasMessagesThresholdLow()`
`boolean` | `hasPagingStore()`
`boolean` | `hasSessionPools()`
`boolean` | `hasStore()`
`boolean` | `hasStores()`
`void` | `setBytesMaximum(long l)`
`void` | `setBytesPagingEnabled(boolean b)`
`void` | `setBytesThresholdHigh(long l)`
`void` | `setBytesThresholdLow(long l)`
`void` | `setConnectionFactories(WebLogicJMSConnectionFactory[] factories)`
`void` | `setDestinations(WebLogicJMSDestination[] destinations)`
`void` | `setMessagesMaximum(long l)`
`void` | `setMessagesPagingEnabled(boolean b)`
`void` | `setMessagesThresholdHigh(long l)`
`void` | `setMessagesThresholdLow(long l)`
`void` | `setPagingStore(WebLogicJMSStore store)`
`void` | `setSessionPools(WebLogicJMSSessionPool[] pools)`
`void` | `setStore(WebLogicJMSStore store)`
`void` | `setStores(WebLogicJMSStore[] stores)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getBytesMaximum

    long getBytesMaximum()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBytesMaximum

    void setBytesMaximum(long l)

### hasBytesMaximum

    boolean hasBytesMaximum()

### getBytesThresholdHigh

    long getBytesThresholdHigh()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBytesThresholdHigh

    void setBytesThresholdHigh(long l)

### hasBytesThresholdHigh

    boolean hasBytesThresholdHigh()

### getBytesThresholdLow

    long getBytesThresholdLow()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBytesThresholdLow

    void setBytesThresholdLow(long l)

### hasBytesThresholdLow

    boolean hasBytesThresholdLow()

### getDestinations

    WebLogicJMSDestination[] getDestinations()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDestinations

    void setDestinations(WebLogicJMSDestination[] destinations)

### hasDestinations

    boolean hasDestinations()

### getMessagesMaximum

    long getMessagesMaximum()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagesMaximum

    void setMessagesMaximum(long l)

### hasMessagesMaximum

    boolean hasMessagesMaximum()

### getMessagesThresholdHigh

    long getMessagesThresholdHigh()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagesThresholdHigh

    void setMessagesThresholdHigh(long l)

### hasMessagesThresholdHigh

    boolean hasMessagesThresholdHigh()

### getMessagesThresholdLow

    long getMessagesThresholdLow()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagesThresholdLow

    void setMessagesThresholdLow(long l)

### hasMessagesThresholdLow

    boolean hasMessagesThresholdLow()

### getPagingStore

    WebLogicJMSStore getPagingStore()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPagingStore

    void setPagingStore(WebLogicJMSStore store)

### hasPagingStore

    boolean hasPagingStore()

### getStore

    WebLogicJMSStore getStore()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setStore

    void setStore(WebLogicJMSStore store)

### hasStore

    boolean hasStore()

### getStores

    WebLogicJMSStore[] getStores()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setStores

    void setStores(WebLogicJMSStore[] stores)

### hasStores

    boolean hasStores()

### getSessionPools

    WebLogicJMSSessionPool[] getSessionPools()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### setSessionPools

    void setSessionPools(WebLogicJMSSessionPool[] pools)

### hasSessionPools

    boolean hasSessionPools()

### getBytesPagingEnabled

    boolean getBytesPagingEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBytesPagingEnabled

    void setBytesPagingEnabled(boolean b)

### hasBytesPagingEnabled

    boolean hasBytesPagingEnabled()

### getMessagesPagingEnabled

    boolean getMessagesPagingEnabled()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagesPagingEnabled

    void setMessagesPagingEnabled(boolean b)

### hasMessagesPagingEnabled

    boolean hasMessagesPagingEnabled()

### getConnectionFactories

    WebLogicJMSConnectionFactory[] getConnectionFactories()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setConnectionFactories

    void setConnectionFactories(WebLogicJMSConnectionFactory[] factories)

### hasConnectionFactories

    boolean hasConnectionFactories()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD